Search This Blog

Wednesday, 14 December 2011

Installing flash on Backtrack 5

Backtrack comes with flash installed, but it doesn't work.  Believe it or not Nessus requires flash ! A security scanner that requires flash, oh the irony ..

Following the instructions provided by BT didn't work for me so I'm reproducing the 32bit steps which did :


Grab the correct/latest flash install from adobe.com : 

install_flash_player_11_linux.i386.tar.gz
Run the following commands : 
Remove BT installed files 
apt-get purge flashplugin-nonfree flashplugin-installer gnash gnash-common mozilla-plugin-gnash swfdec-mozillarm -f /usr/lib/firefox/plugins/*flash*
rm -f /usr/lib/firefox-addons/plugins/*flash*rm -f /usr/lib/mozilla/plugins/*flash*
rm -f ~/.mozilla/plugins/*flash*sorm -rfd /usr/lib/nspluginwrapper
Install downloaded version
tar xvfz install_flash_player_11_linux.i386.tar.gz
mkdir ~/.mozilla/plugins
mv -f libflashplayer.so ~/.mozilla/plugins/
Test within the browser, firefox about:plugins

UPDATE : This process also works for Chromium